#include <iostream>

using namespace std;

int main()
{int x, y, a, b;
cin>>a>>b;
cin>>x>>y;
if (x==a and y<b )
cout<<"drugi";
else if (x==a and y==b)
cout<<"nijedan";
else if (x<a and y==b)
cout<<"prvi";
else if (x<a and y<b)
cout<<"?";

    return 0;
}